/* ARexx - DIA Operator Interface */

/*
 * open rexxsupport.library -- needed for some functions
 */
if ~show('L',"rexxsupport.library") then do
  if addlib('rexxsupport.library',0,-30,0) then do
      /* everything's ok */
    end;
  else do
    say 'We Have A Library Problem, Unable To Load "rexxsupport.library"';
    say 'Cannot operate Rainbow.rexx without this library - sorry!';
    exit 10;
    end;
  end;
/*
 * This will automatically direct the script to the proper
 * software, if it is running. No matter where the script is
 * launched from.
 */
prtnme = 'IP_Port'; /* assume Image Professional */
if show('P','IP_Port') = 0 then do
  if show('P','IM_Port') = 0 then do
    say "Can't find image processor's ARexx port!!!"; /* not running? */
    say "This script requires IP, IM or IM F/c to run!";
    exit(20);
    end;
  else do
    prtnme = 'IM_Port'; /* That's the thing about assumptions... */
    end;                 /* We make em, user's break em.          */
  end;

address(prtnme); /* talk to image system user is running */

options results;
'jackin';        /* get the pointer to the Public Interface */
jacker = result;
options;

address "rainbow"
importim "JACK=0x" || jacker

address(prtnme);

'finish'
address

exit 0;
